#include <bits/stdc++.h>

using namespace std;

#define int long long

signed main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    string s;
    cin>>s;
    vector<pair<int,int> > vp;
    int t=1,tstart=0;
    for(int i=1;i<s.size();i++)
    {
        if((s[i]=='b' && s[i-1]=='c') || (s[i]=='a' && s[i-1]=='c') || (s[i]=='a' && s[i-1]=='b'))
        {
            for(int j=tstart;j<i;j++)
            {
                vp.push_back(make_pair(t,i));
            }
            t++;
            tstart=i;
        }
                if(i==s.size()-1)
        {
            vp.push_back(make_pair(t,i));
            continue;
        }


    }

    int n;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        int x,y;
        cin>>x>>y;
        cout<<vp[--y].first-vp[--x].first+1<<'\n';
    }
}
